CODELITE(1)

NAME
codelite - a lightweight and powerful C/C++ IDE

SYNOPSIS
codelite [-n] [-p plugins] [-d data dir] [-l line] [files]...
codelite -h
codelite -v

OPTIONS

-d, --datadir=directory
    Use a directory as the main CodeLite data directory (defaults to ~/.codelite).

-l, --line=line
    Opens all input files at a specific line number.

-n, --no-plugins
    Disable all plugins for this session.

-p, --with-plugins=plugins
    Enable only the listed plugins for this session. Multiple plugins can be given by separating them with commas.

-h, --help
    Print a brief usage summary.

-v, --version
    Print the current version of CodeLite.

SEE ALSO
codelite-make(1), codelite_fix_files(1)

CodeLite online documentation ⟨http://codelite.org/LiteEditor/Documentation⟩